# Relational Databases

### Prerequisites
*   Complete [Linux course](https://linkedin.github.io/school-of-sre/linux_basics/intro/)
*   Install Docker (for lab section)

### What to expect from this course
You will have an understanding of what relational databases are, their advantages, and some MySQL specific concepts.

### What is not covered under this course
*   In depth implementation details

*   Advanced topics like normalization, sharding

*   Specific tools for administration

### Introduction
The main purpose of database systems is to manage data. This includes storage, adding new data, deleting unused data, updating existing data, retrieving data within a reasonable response time, other maintenance tasks to keep the system running etc.

### Pre-reads
[RDBMS Concepts](https://beginnersbook.com/2015/04/rdbms-concepts/)

### Course Contents
- [Key Concepts](https://linkedin.github.io/school-of-sre/databases_sql/concepts/)
- [MySQL Architecture](https://linkedin.github.io/school-of-sre/databases_sql/mysql/#mysql-architecture)
- [InnoDB](https://linkedin.github.io/school-of-sre/databases_sql/innodb/)
- [Operational Concepts](https://linkedin.github.io/school-of-sre/databases_sql/operations/)
- [Lab](https://linkedin.github.io/school-of-sre/databases_sql/lab/)
- [Further Reading](https://linkedin.github.io/school-of-sre/databases_sql/conclusion/#further-reading)
