# Security

## Prerequisites

1. [Linux Basics](https://linkedin.github.io/school-of-sre/linux_basics/intro/)

2. [Linux Networking](https://linkedin.github.io/school-of-sre/linux_networking/intro/)


## What to expect from this course

The course covers fundamentals of information security along with touching on subjects of system security, network & web security. This course aims to get you familiar with the basics of information security in day to day operations & then as an SRE develop the mindset of ensuring that security takes a  front-seat while developing solutions. The course also serves as an introduction to common risks and best practices along with practical ways to find out vulnerable systems and loopholes which might become compromised if not secured.


## What is not covered under this course

The courseware is not an ethical hacking workshop or a very deep dive into the fundamentals of the problems. The course does not deal with hacking or breaking into systems but rather an approach on how to ensure you don’t get into those situations and also to make you aware of different ways a system can be compromised.


## Course Contents

1. [Fundamentals](https://linkedin.github.io/school-of-sre/security/fundamentals/)
2. [Network Security](https://linkedin.github.io/school-of-sre/security/network_security/)
3. [Threats, Attacks & Defence](https://linkedin.github.io/school-of-sre/security/threats_attacks_defences/)
4. [Writing Secure Code & More](https://linkedin.github.io/school-of-sre/security/writing_secure_code/)
5. [Conclusion](https://linkedin.github.io/school-of-sre/security/conclusion/)
